"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _Context = require("./Context");

var _hooks = require("../../../hooks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const AccordionItem = ({
  children,
  index: pIndex = 0,
  isDisabled,
  ...props
}) => {
  const {
    index: cIndex,
    changeHandler
  } = _react.default.useContext(_Context.AccordionContext);

  const { ...newProps
  } = (0, _hooks.useThemeProps)('AccordionItem', props);
  const isOpen = cIndex === null || cIndex === void 0 ? void 0 : cIndex.includes(pIndex);

  const onClose = cb => {
    changeHandler && changeHandler(false, pIndex);
    cb && cb();
  };

  const onOpen = cb => {
    changeHandler && changeHandler(true, pIndex);
    cb && cb();
  };

  const childSetter = () => {
    if (typeof children === 'function') return children({
      isExpanded: isOpen,
      isDisabled
    });
    return children;
  };

  return /*#__PURE__*/_react.default.createElement(_Context.AccordionItemContext.Provider, {
    value: {
      index: pIndex,
      isOpen,
      isDisabled,
      onClose,
      onOpen
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, newProps, childSetter()));
};

var _default = /*#__PURE__*/_react.default.memo(AccordionItem);

exports.default = _default;
//# sourceMappingURL=AccordionItem.js.map