"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _Text = _interopRequireDefault(require("../../primitives/Text"));

var _hooks = require("../../../hooks");

var _FormControl = require("./FormControl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const FormLabel = ({
  children,
  style,
  _disabled,
  _focus,
  _invalid,
  ...props
}, ref) => {
  const {
    isInvalid,
    isRequired,
    isDisabled
  } = _react.default.useContext(_FormControl.FormControlContext);

  const textColor = (0, _hooks.useToken)('colors', 'red.300');

  const requiredAsterisk = () => /*#__PURE__*/_react.default.createElement(_Text.default, {
    color: textColor
  }, "*");

  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    flexDirection: "row",
    justifyContent: "flex-start"
  }, props, {
    ref: ref,
    _text: {
      fontSize: 'md'
    },
    style: [style, isInvalid && _invalid, isDisabled && _disabled]
  }), children, isRequired && requiredAsterisk());
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(FormLabel));

exports.default = _default;
//# sourceMappingURL=FormLabel.js.map