"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _hooks = require("../../../hooks");

var _Context = require("./Context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Tabs = ({
  children,
  ...props
}, ref) => {
  const {
    onChange,
    activeTabStyle,
    inactiveTabStyle,
    tabBarStyle,
    isFitted,
    align,
    ...newProps
  } = (0, _hooks.useThemeProps)('Tabs', props);

  const [index, setIndex] = _react.default.useState(props.index || props.defaultIndex || 0);

  const changeHandler = activeIndex => {
    setIndex(activeIndex);
    onChange && onChange(activeIndex);
  };

  const setAlign = () => {
    switch (align) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      case 'center':
        return 'center';

      default:
        return 'flex-start';
    }
  };

  return /*#__PURE__*/_react.default.createElement(_Context.TabsContext.Provider, {
    value: {
      activeIndex: index,
      changeHandler,
      activeTabStyle,
      inactiveTabStyle,
      tabBarStyle,
      isFitted,
      align: setAlign()
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    width: "100%"
  }, newProps, {
    ref: ref
  }), children));
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Tabs));

exports.default = _default;
//# sourceMappingURL=Tabs.js.map