"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useOverlay = void 0;

var _react = _interopRequireDefault(require("react"));

var _Context = require("./../hybrid-overlay/Context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useOverlay = () => {
  const {
    overlay: {
      setOverlayItem,
      defaultConfig,
      setConfig
    }
  } = _react.default.useContext(_Context.HybridContext);

  const closeOverlay = () => {
    setOverlayItem(null);
  };

  const setOverlay = (component, config) => {
    config && setConfig({ ...defaultConfig,
      ...config
    });
    setOverlayItem(component);
  };

  return {
    closeOverlay,
    setOverlay
  };
};

exports.useOverlay = useOverlay;
//# sourceMappingURL=useOverlay.js.map