"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tools = require("../tools");

const baseStyle = props => {
  const {
    isInvalid
  } = props;
  const simplifiedColorScheme = (0, _tools.getColorScheme)(props);
  const activeColor = (0, _tools.mode)("".concat(simplifiedColorScheme, ".600"), "".concat(simplifiedColorScheme, ".200"))(props);
  return {
    activeColor,
    borderColor: isInvalid ? (0, _tools.mode)("danger.600", "danger.200")(props) : (0, _tools.mode)("muted.300", "muted.600")(props),
    iconColor: (0, _tools.mode)("gray.50", "gray.800")(props) // matching background color.

  };
};

const sizes = {
  lg: {
    size: 5
  },
  md: {
    size: 4
  },
  sm: {
    size: 3
  }
};
const defaultProps = {
  defaultIsChecked: false,
  size: 'md',
  colorScheme: 'default'
};
var _default = {
  baseStyle,
  sizes,
  defaultProps
};
exports.default = _default;
//# sourceMappingURL=checkbox.js.map