"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tools = require("../tools");

const defaultProps = {
  colorScheme: 'default',
  size: 'md',
  rounded: 50
};

function baseStyle(props) {
  const colorScheme = (0, _tools.getColorScheme)(props);
  return {
    innerBg: (0, _tools.mode)("".concat(colorScheme, ".700"), "".concat(colorScheme, ".500"))(props),
    bg: (0, _tools.mode)('blueGray.200', 'blueGray.600')(props)
  };
}

const sizes = {
  'xs': {
    height: 1
  },
  'sm': {
    height: 2
  },
  'md': {
    height: 3
  },
  'lg': {
    height: 4
  },
  'xl': {
    height: 5
  },
  '2xl': {
    height: 6
  }
};
var _default = {
  baseStyle,
  defaultProps,
  sizes
};
exports.default = _default;
//# sourceMappingURL=progress.js.map