"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.customLayout = void 0;

var _styledSystem = require("styled-system");

const config = {
  w: {
    property: 'width',
    scale: 'sizes'
  },
  h: {
    property: 'height',
    scale: 'sizes'
  },
  boxSize: {
    properties: ['width', 'height'],
    scale: 'sizes'
  },
  minW: {
    property: 'minWidth',
    scale: 'sizes'
  },
  minH: {
    property: 'minHeight',
    scale: 'sizes'
  },
  maxW: {
    property: 'maxWidth',
    scale: 'sizes'
  },
  maxH: {
    property: 'maxHeight',
    scale: 'sizes'
  },
  d: {
    property: 'display'
  },
  boxSizing: true
};
/**
 * Types for layout related CSS properties
 */

const customLayout = (0, _styledSystem.system)(config);
exports.customLayout = customLayout;
//# sourceMappingURL=customLayout.js.map