function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { border, color, flexbox, layout, space, typography, position } from 'styled-system';
import { customBorder, customBackground, customOutline, customLayout, customExtra, customShadow, customTypography, customPosition } from '../../../utils/customProps';
import styled from 'styled-components/native';
import { useThemeProps } from '../../../hooks';
import { AntDesign, Entypo, EvilIcons, Feather, FontAwesome, FontAwesome5, Fontisto, Foundation, Ionicons, MaterialCommunityIcons, MaterialIcons, Octicons, SimpleLineIcons, Zocial } from '@expo/vector-icons';
import SVGIcon from './SVGIcon';
const componentMap = {
  AntDesign,
  Entypo,
  EvilIcons,
  Feather,
  FontAwesome,
  FontAwesome5,
  Fontisto,
  Foundation,
  Ionicons,
  MaterialCommunityIcons,
  MaterialIcons,
  Octicons,
  SimpleLineIcons,
  Zocial
};

function getStyleIconComponent(type) {
  return styled(componentMap[type])(color, space, layout, flexbox, border, typography, position, customPosition, customBorder, customBackground, customOutline, customShadow, customExtra, customLayout, customTypography);
}

const Icon = ({
  type,
  name,
  style,
  ...props
}, ref) => {
  const {
    size,
    ...newProps
  } = useThemeProps('Icon', props);

  if (!name) {
    return /*#__PURE__*/React.createElement(SVGIcon, props);
  }

  const Component = getStyleIconComponent(type !== null && type !== void 0 ? type : 'MaterialIcons');
  return /*#__PURE__*/React.createElement(Component, _extends({
    name: name
  }, newProps, {
    ref: ref,
    style: [style, {
      fontSize: parseInt(size, 10)
    }]
  }));
};

export { createIcon } from './createIcon';
export default /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Icon));
//# sourceMappingURL=index.js.map