function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableWithoutFeedback } from 'react-native';
import styled from 'styled-components/native';
import Box from '../Box';
import { useThemeProps } from '../../../hooks';
import { useLink } from './useLink';
const StyledLink = styled(Box)({});

const Link = ({
  style,
  href,
  isUnderlined = true,
  onClick,
  isExternal,
  children,
  m,
  mt,
  mr,
  ml,
  mb,
  p,
  pt,
  pl,
  pr,
  pb,
  w,
  width,
  h,
  height,
  _text,
  ...props
}, ref) => {
  const layoutProps = {
    m,
    mt,
    mr,
    ml,
    mb,
    p,
    pt,
    pr,
    pl,
    pb,
    w,
    width,
    h,
    height
  };
  let newProps = useThemeProps('Link', props);
  const linkTextProps = {
    textDecorationLine: isUnderlined ? 'underline' : 'none',
    ..._text
  };
  const {
    linkProps
  } = useLink({
    href,
    onClick,
    isExternal
  });
  return /*#__PURE__*/React.createElement(Box, layoutProps, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, _extends({}, linkProps, newProps, {
    ref: ref
  }), /*#__PURE__*/React.createElement(StyledLink, _extends({
    _text: linkTextProps
  }, newProps, {
    flexDirection: "row",
    style: style
  }), children)));
};

export default /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Link));
//# sourceMappingURL=index.js.map