import { useContext } from 'react';
import { NativeBaseContext } from './../core/NativeBaseProvider';
export function useTheme() {
  const theme = useContext(NativeBaseContext);

  if (!theme) {
    throw Error('useTheme: `theme` is undefined. Seems you forgot to wrap your app in `<NativeBaseProvider />`');
  }

  return theme;
}
//# sourceMappingURL=useTheme.js.map