import omit from 'lodash/omit';
import { useWindowDimensions } from 'react-native';
import { useNativeBase } from './../useNativeBase';
import { calculateProps } from './utils';
export function usePropsWithComponentTheme(localTheme, propsReceived) {
  var _useWindowDimensions;

  const {
    theme,
    ...colorModeProps
  } = useNativeBase();
  let windowWidth = (_useWindowDimensions = useWindowDimensions()) === null || _useWindowDimensions === void 0 ? void 0 : _useWindowDimensions.width;
  return calculateProps(omit(theme, 'components'), colorModeProps, localTheme, propsReceived, windowWidth);
}
//# sourceMappingURL=usePropsWithComponentTheme.js.map