/// <reference types="react" />
import type { IBoxProps, IIconProps } from '../../primitives';
export declare type IAccordionProps = IBoxProps & {
    allowMultiple?: boolean;
    allowToggle?: boolean;
    index?: number[];
    defaultIndex?: number[];
    onChange?: (index?: number[]) => void;
};
export declare type IAccordionItemProps = IBoxProps & {
    index?: number;
    defaultIsOpen?: boolean;
    isDisabled?: boolean;
    id?: number;
};
export declare type IAccordionSummaryProps = IBoxProps & {
    style?: any;
    _expanded?: any;
    _disabled?: any;
    _hover?: any;
};
export declare type IAccordionDetailsProps = IBoxProps & {};
export declare type IAccordionContextProps = {
    index?: number[];
    changeHandler?: (isOpening: boolean, id: number) => void;
};
export declare type IAccordionItemContextProps = {
    index?: number;
    isOpen?: boolean;
    isDisabled?: boolean;
    onClose?: () => void;
    onOpen?: () => void;
};
export declare type IAccordionIconProps = IIconProps & {
    style?: any;
};
export declare type IAccordionComponentType = ((props: IAccordionProps) => JSX.Element) & {
    Item: React.MemoExoticComponent<(props: IAccordionItemProps) => JSX.Element>;
    Summary: React.MemoExoticComponent<(props: IAccordionSummaryProps) => JSX.Element>;
    Details: React.MemoExoticComponent<(props: IAccordionDetailsProps) => JSX.Element>;
    Icon: React.MemoExoticComponent<(props: IAccordionIconProps) => JSX.Element>;
};
