/// <reference types="react" />
import type { IBoxProps } from '../../primitives';
export declare type IFormControlProps = IBoxProps & {
    isInvalid?: boolean;
    isRequired?: boolean;
    isDisabled?: boolean;
    isReadOnly?: boolean;
};
export declare type IFormControlContext = {
    isInvalid?: boolean;
    isRequired?: boolean;
    isDisabled?: boolean;
    isReadOnly?: boolean;
};
export declare type IFormControlLabelProps = IFormControlProps & {
    style?: any;
    _disabled?: any;
    _focus?: any;
    _invalid?: any;
};
export declare type IFormControlErrorMessageProps = IFormControlProps;
export declare type IFormControlHelperTextProps = IFormControlProps & {
    style?: any;
    _disabled?: any;
    _focus?: any;
    _invalid?: any;
};
export declare type FormControlComponentType = ((props: IFormControlProps) => JSX.Element) & {
    Label: React.MemoExoticComponent<(props: IFormControlLabelProps) => JSX.Element>;
    ErrorMessage: React.MemoExoticComponent<(props: IFormControlProps) => JSX.Element>;
    HelperText: React.MemoExoticComponent<(props: IFormControlHelperTextProps) => JSX.Element>;
};
