import React from 'react';
import { IBoxProps, ITextProps, IIconProps, IStackProps } from '../../primitives';
export declare const StatLabel: React.MemoExoticComponent<({ style, ...props }: ITextProps) => JSX.Element>;
export declare const StatNumber: React.MemoExoticComponent<({ style, ...props }: ITextProps) => JSX.Element>;
export declare const StatHelpText: React.MemoExoticComponent<({ style, ...props }: IBoxProps) => JSX.Element>;
declare type IStatArrowProps = IIconProps | {
    type?: 'increase' | 'decrease';
};
export declare const StatArrow: React.MemoExoticComponent<({ type, ...props }: IStatArrowProps) => JSX.Element>;
export declare const StatGroup: React.MemoExoticComponent<React.ForwardRefExoticComponent<import("react-native").ViewProps & import("styled-system").ColorProps<Required<import("styled-system").Theme<React.ReactText>>, string | number | symbol> & import("styled-system").SpaceProps<Required<import("styled-system").Theme<React.ReactText>>, string | number | symbol> & import("styled-system").LayoutProps<Required<import("styled-system").Theme<React.ReactText>>> & import("styled-system").FlexboxProps<Required<import("styled-system").Theme<React.ReactText>>> & import("styled-system").TypographyProps<Required<import("styled-system").Theme<React.ReactText>>> & import("styled-system").PositionProps<Required<import("styled-system").Theme<React.ReactText>>> & import("../../../utils/customProps").customBorderProps & import("../../../utils/customProps").customPositionProps & import("../../../utils/customProps").customExtraProps & import("../../../utils/customProps").customOutlineProps & import("../../../utils/customProps").customShadowProps & import("../../../utils/customProps").customLayoutProps & import("../../../utils/customProps").customTypographyProps & import("../../../utils/customProps").customBackgroundProps & import("../../../utils/customProps").customTransformProps & import("../../../utils/customProps").customFlexboxProps & import("styled-system").BorderProps<Required<import("styled-system").Theme<React.ReactText>>, import("csstype").Property.BorderRadius<React.ReactText>> & {
    style?: import("react-native").ViewStyle | undefined;
    children?: any;
    shadow?: number | undefined;
    _text?: ITextProps | undefined;
} & React.RefAttributes<unknown>>>;
declare type IStatComponentType = ((props: IBoxProps) => JSX.Element) & {
    Label: React.MemoExoticComponent<(props: ITextProps) => JSX.Element>;
    Number: React.MemoExoticComponent<(props: ITextProps) => JSX.Element>;
    HelpText: React.MemoExoticComponent<(props: IBoxProps) => JSX.Element>;
    Arrow: React.MemoExoticComponent<(props: IStatArrowProps) => JSX.Element>;
    Group: React.MemoExoticComponent<(props: IStackProps) => JSX.Element>;
};
declare const Stat: IStatComponentType;
export default Stat;
