declare function variantLine(props: Record<string, any>): {
    activeTabStyle: {
        borderColor: any;
        borderBottomWidth: number;
    };
    inactiveTabStyle: {
        borderColor: string;
        borderBottomWidth: number;
    };
    tabBarStyle: {
        borderBottomWidth: number;
        borderColor: string;
    };
};
declare function variantEnclosed(props: Record<string, any>): {
    activeTabStyle: {
        borderTopWidth: number;
        borderLeftWidth: number;
        borderRightWidth: number;
        borderColor: any;
    };
    inactiveTabStyle: {
        borderColor: string;
        borderBottomWidth: number;
    };
    tabBarStyle: {};
};
declare function variantEnclosedColor(props: Record<string, any>): {
    activeTabStyle: {
        borderTopWidth: number;
        borderLeftWidth: number;
        borderRightWidth: number;
        borderColor: string;
        color: any;
    };
    inactiveTabStyle: {
        bg: string;
        borderColor: string;
        borderBottomWidth: number;
    };
    tabBarStyle: {};
};
declare function varientSoftRounded(props: Record<string, any>): {
    activeTabStyle: {
        borderRadius: string;
        bg: string;
        color: string;
    };
    inactiveTabStyle: {};
    tabBarStyle: {};
};
declare function varientSolidRounded(props: Record<string, any>): {
    activeTabStyle: {
        borderRadius: string;
        bg: any;
        color: string;
    };
    inactiveTabStyle: {};
    tabBarStyle: {};
};
declare function varientSolidBox(props: Record<string, any>): {
    activeTabStyle: {
        bg: any;
        color: string;
    };
    inactiveTabStyle: {};
    tabBarStyle: {};
};
declare const _default: {
    baseStyle: {
        activeTabStyle: {
            marginBottom: string;
        };
        inactiveTabStyle: {
            marginBottom: string;
        };
    };
    variants: {
        line: typeof variantLine;
        enclosed: typeof variantEnclosed;
        'enclosed-colored': typeof variantEnclosedColor;
        'soft-rounded': typeof varientSoftRounded;
        'solid-rounded': typeof varientSolidRounded;
        'solid-box': typeof varientSolidBox;
    };
    sizes: {
        sm: {
            activeTabStyle: {
                fontSize: string;
                p: number;
            };
            inactiveTabStyle: {
                fontSize: string;
                p: number;
            };
        };
        md: {
            activeTabStyle: {
                fontSize: string;
                p: number;
            };
            inactiveTabStyle: {
                fontSize: string;
                p: number;
            };
        };
        lg: {
            activeTabStyle: {
                fontSize: string;
                p: number;
            };
            inactiveTabStyle: {
                fontSize: string;
                p: number;
            };
        };
    };
    defaultProps: {
        size: string;
        variant: string;
        colorScheme: string;
    };
};
export default _default;
